Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class ContentModelSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.ContentModelSettings

    public class ContentModelSettings
    extends Object

Content model settings.

### Constructor Summary

Constructors
`ContentModelSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String[]` `getCatalogs()` Returns the list of the XML catalogs file path.
`static ContentModelSettings` `getContentModelXMLSettings​(Object initializationOptionsSettings)`
`XMLDownloadExternalResourcesSettings` `getDownloadExternalResources()`
`XMLFileAssociation[]` `getFileAssociations()` Returns file associations list between a file name pattern (glob) and an XML Schema file, DTD (system Id).
`XMLSymbolsSettings` `getSymbols()`
`XMLValidationRootSettings` `getValidation()`
`boolean` `isShowReferencedGrammars()`
`Boolean` `isUseCache()` Returns true if cache to download XML Schema, DTD must be activated and false otherwise.
`void` `setCatalogs​(String[] catalogs)` Register the list of the XML catalogs file path.
`void` `setDownloadExternalResources​(XMLDownloadExternalResourcesSettings downloadExternalResources)`
`void` `setFileAssociations​(XMLFileAssociation[] fileAssociations)`
`void` `setSymbols​(XMLSymbolsSettings symbols)`
`void` `setUseCache​(Boolean useCache)` Set cache to true if cache to download XML Schema, DTD must be activated and false otherwise.
`void` `setValidation​(XMLValidationRootSettings validation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelSettings

    public ContentModelSettings()

### Method Detail

#### isUseCache

    public Boolean isUseCache()

Returns true if cache to download XML Schema, DTD must be activated and false otherwise.

Returns:
  true if cache to download XML Schema, DTD must be activated and false otherwise.

#### setUseCache

    public void setUseCache​(Boolean useCache)

Set cache to true if cache to download XML Schema, DTD must be activated and false otherwise.

Parameters:
  `useCache` - the use cache.

#### setCatalogs

    public void setCatalogs​(String[] catalogs)

Register the list of the XML catalogs file path.

Parameters:
  `catalogs` -

#### getCatalogs

    public String[] getCatalogs()

Returns the list of the XML catalogs file path.

Returns:
  the list of the XML catalogs file path.

#### setFileAssociations

    public void setFileAssociations​(XMLFileAssociation[] fileAssociations)

#### getFileAssociations

    public XMLFileAssociation[] getFileAssociations()

Returns file associations list between a file name pattern (glob) and an XML Schema file, DTD (system Id).

Returns:
  file associations list between a file name pattern (glob) and an XML Schema file, DTD (system Id).

#### getContentModelXMLSettings

    public static ContentModelSettings getContentModelXMLSettings​(Object initializationOptionsSettings)

#### setValidation

    public void setValidation​(XMLValidationRootSettings validation)

#### getValidation

    public XMLValidationRootSettings getValidation()

#### setSymbols

    public void setSymbols​(XMLSymbolsSettings symbols)

#### getSymbols

    public XMLSymbolsSettings getSymbols()

#### isShowReferencedGrammars

    public boolean isShowReferencedGrammars()

#### getDownloadExternalResources

    public XMLDownloadExternalResourcesSettings getDownloadExternalResources()

#### setDownloadExternalResources

    public void setDownloadExternalResources​(XMLDownloadExternalResourcesSettings downloadExternalResources)